Skip to content
GitLab
Explore
Sign in
Register
Primary navigation
Search or go to…
Project
P
postgres-lambda-diff
Manage
Activity
Members
Labels
Plan
Issues
Issue boards
Milestones
Wiki
Code
Merge requests
Repository
Branches
Commits
Tags
Repository graph
Compare revisions
Snippets
Build
Pipelines
Jobs
Pipeline schedules
Artifacts
Deploy
Releases
Container Registry
Model registry
Operate
Environments
Monitor
Incidents
Analyze
Value stream analytics
Contributor analytics
CI/CD analytics
Repository analytics
Model experiments
Help
Help
Support
GitLab documentation
Compare GitLab plans
Community forum
Contribute to GitLab
Provide feedback
Keyboard shortcuts
?
Snippets
Groups
Projects
Show more breadcrumbs
Jakob Huber
postgres-lambda-diff
Commits
9cb7b76e
Commit
9cb7b76e
authored
20 years ago
by
Bruce Momjian
Browse files
Options
Downloads
Patches
Plain Diff
More cleanup of thread tests.
parent
9d8b4147
No related branches found
Branches containing commit
No related tags found
Tags containing commit
No related merge requests found
Changes
2
Hide whitespace changes
Inline
Side-by-side
Showing
2 changed files
configure
+40
-32
40 additions, 32 deletions
configure
configure.in
+31
-24
31 additions, 24 deletions
configure.in
with
71 additions
and
56 deletions
configure
+
40
−
32
View file @
9cb7b76e
...
...
@@ -19113,12 +19113,7 @@ if test "$no_create" != yes; then
fi
#
# We have to run the thread test here because it is an external program
# that has to be runable separately for cross-compiling.
#
if test "$enable_thread_safety" = yes; then
if test cross_compiling != yes; then
# Check for gmake.
for ac_prog in gmake make
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
...
...
@@ -19159,41 +19154,54 @@ fi
test -n "$MAKE" && break
done
echo "$as_me:$LINENO: checking thread safety of required library functions." >&5
echo $ECHO_N "checking thread safety of required library functions.... $ECHO_C" >&6
if ! $MAKE -v | grep 'GNU Make' >/dev/null
then rm -f $srcdir/src/Makefile.global
echo "$as_me:$LINENO: checking Can not find GNU Make. It is required." >&5
echo $ECHO_N "checking Can not find GNU Make. It is required.... $ECHO_C" >&6
fi
# Thread testing
# We have to run the thread test here because it is an external program
# that has to be runable separately for cross-compiling.
#
if test "$enable_thread_safety" = yes; then
if test cross_compiling != yes; then
#
# Clean, compile, run, and clean thread test directory.
# If test fails for any reason, remove Makefile.global so the user can't
# compile (to simulate a configure failure).
#
$MAKE -C $srcdir/src/tools/thread clean >&5 ||
( rm -f src/Makefile.global
{ { echo "$as_me:$LINENO: error: Can not clean thread test directory." >&5
echo "$as_me:$LINENO: checking thread safety of required library functions" >&5
echo $ECHO_N "checking thread safety of required library functions... $ECHO_C" >&6
if ! $MAKE -C $srcdir/src/tools/thread clean >&5
then rm -f $srcdir/src/Makefile.global
{ { echo "$as_me:$LINENO: error: Can not clean thread test directory." >&5
echo "$as_me: error: Can not clean thread test directory." >&2;}
{ (exit 1); exit 1; }; }
) ||
exit $?
$MAKE -C $srcdir/src/tools/thread >&5
||
(
rm -f src/Makefile.global
{ { echo "$as_me:$LINENO: error: Can not build thread test proram." >&5
{ (exit 1); exit 1; }; }
fi
if !
$MAKE -C $srcdir/src/tools/thread >&5
then
rm -f
$srcdir/
src/Makefile.global
{ { echo "$as_me:$LINENO: error: Can not build thread test proram." >&5
echo "$as_me: error: Can not build thread test proram." >&2;}
{ (exit 1); exit 1; }; }
) ||
exit $?
$srcdir/src/tools/thread/thread_test >&5
||
(
rm -f src/Makefile.global
echo "no"
echo
$srcdir/src/tools/thread/thread_test
echo
{ { echo "$as_me:$LINENO: error: Thread test program failed. Your platform is not thread-safe." >&5
{ (exit 1); exit 1; }; }
fi
if !
$srcdir/src/tools/thread/thread_test >&5
then
rm -f
$srcdir/
src/Makefile.global
echo "no"
echo
$srcdir/src/tools/thread/thread_test
echo
{ { echo "$as_me:$LINENO: error: Thread test program failed. Your platform is not thread-safe." >&5
echo "$as_me: error: Thread test program failed. Your platform is not thread-safe." >&2;}
{ (exit 1); exit 1; }; }
) ||
exit $?
$MAKE -C $srcdir/src/tools/thread clean >&5
||
(
rm -f src/Makefile.global
{ { echo "$as_me:$LINENO: error: Can not clean thread test directory." >&5
{ (exit 1); exit 1; }; }
fi
if !
$MAKE -C $srcdir/src/tools/thread clean >&5
then
rm -f
$srcdir/
src/Makefile.global
{ { echo "$as_me:$LINENO: error: Can not clean thread test directory." >&5
echo "$as_me: error: Can not clean thread test directory." >&2;}
{ (exit 1); exit 1; }; }
) ||
exit $?
{ (exit 1); exit 1; }; }
fi
echo "yes"
else
{ echo "$as_me:$LINENO: WARNING:
...
...
This diff is collapsed.
Click to expand it.
configure.in
+
31
−
24
View file @
9cb7b76e
dnl Process this file with autoconf to produce a configure script.
dnl $PostgreSQL: pgsql/configure.in,v 1.33
4
2004/04/26
04:0
4:4
2
momjian Exp $
dnl $PostgreSQL: pgsql/configure.in,v 1.33
5
2004/04/26
13:1
4:4
8
momjian Exp $
dnl
dnl Developers, please strive to achieve this order:
dnl
...
...
@@ -1215,39 +1215,46 @@ echo >src/include/stamp-h
AC_OUTPUT
#
# Check for gmake.
AC_CHECK_PROGS(MAKE, gmake make)
if ! $MAKE -v | grep 'GNU Make' >/dev/null
then rm -f $srcdir/src/Makefile.global
AC_MSG_CHECKING([Can not find GNU Make. It is required.])
fi
# Thread testing
# We have to run the thread test here because it is an external program
# that has to be runable separately for cross-compiling.
#
if test "$enable_thread_safety" = yes; then
if test cross_compiling != yes; then
AC_CHECK_PROGS(MAKE, gmake make)
AC_MSG_CHECKING([thread safety of required library functions.])
#
# Clean, compile, run, and clean thread test directory.
# If test fails for any reason, remove Makefile.global so the user can't
# compile (to simulate a configure failure).
#
$MAKE -C $srcdir/src/tools/thread clean >&5 ||
( rm -f src/Makefile.global
AC_MSG_ERROR([Can not clean thread test directory.])) ||
exit $?
$MAKE -C $srcdir/src/tools/thread >&5 ||
( rm -f src/Makefile.global
AC_MSG_ERROR([Can not build thread test proram.])) ||
exit $?
$srcdir/src/tools/thread/thread_test >&5 ||
( rm -f src/Makefile.global
echo "no"
echo
$srcdir/src/tools/thread/thread_test
echo
AC_MSG_ERROR([Thread test program failed. Your platform is not thread-safe.])) ||
exit $?
$MAKE -C $srcdir/src/tools/thread clean >&5 ||
( rm -f src/Makefile.global
AC_MSG_ERROR([Can not clean thread test directory.])) ||
exit $?
AC_MSG_CHECKING([thread safety of required library functions])
if ! $MAKE -C $srcdir/src/tools/thread clean >&5
then rm -f $srcdir/src/Makefile.global
AC_MSG_ERROR([Can not clean thread test directory.])
fi
if ! $MAKE -C $srcdir/src/tools/thread >&5
then rm -f $srcdir/src/Makefile.global
AC_MSG_ERROR([Can not build thread test proram.])
fi
if ! $srcdir/src/tools/thread/thread_test >&5
then rm -f $srcdir/src/Makefile.global
echo "no"
echo
$srcdir/src/tools/thread/thread_test
echo
AC_MSG_ERROR([Thread test program failed. Your platform is not thread-safe.])
fi
if ! $MAKE -C $srcdir/src/tools/thread clean >&5
then rm -f $srcdir/src/Makefile.global
AC_MSG_ERROR([Can not clean thread test directory.])
fi
echo "yes"
else
AC_MSG_WARN([
...
...
This diff is collapsed.
Click to expand it.
Preview
0%
Loading
Try again
or
attach a new file
.
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Save comment
Cancel
Please
register
or
sign in
to comment